//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.game.business.util.other;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;

public class MD5Util {
  public MD5Util() {
  }

  public static String string2MD5(String inStr) {
    MessageDigest md5 = null;

    try {
      md5 = MessageDigest.getInstance("MD5");
    } catch (Exception var8) {
      var8.printStackTrace();
      return "";
    }

    byte[] byteArray = null;

    try {
      byteArray = inStr.getBytes("utf-8");
    } catch (UnsupportedEncodingException var7) {
      var7.printStackTrace();
    }

    byte[] md5Bytes = md5.digest(byteArray);
    StringBuffer hexValue = new StringBuffer();

    for(int i = 0; i < md5Bytes.length; ++i) {
      int val = md5Bytes[i] & 255;
      if (val < 16) {
        hexValue.append("0");
      }

      hexValue.append(Integer.toHexString(val));
    }

    return hexValue.toString();
  }

  public static void main(String[] args) {
    System.out.println(string2MD5("amount=1100&bank_account=王海燕&bank_cardno=6222031611004591781&bank_code=102&channel_code=1054&down_sn=S01202105112233526490003&notify_url=http://baidu.com&key=562e39c8c87fa26f5dc1796f7461e1d2"));
  }
}
